summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* bsp-jetson: Rename device-tree-compiler chunk to avoid duplication.baserock/pedroalvarez/dtc-duplicationPedro Alvarez2015-11-232-4/+4
| | | | Change-Id: I0b2ee90ef4865ac8406b21fa8d6320e2708a72bf
* Migrate to definitions format version 7: add a DEFAULTS fileSam Thursfield2015-11-212-1/+198
| | | | | | | | | | | | | | | | | | | | This is the DEFAULTS file embedded in migrations/007-defaults-in-definitions.py, which is exactly the settings that are also built into Morph. I expect the DEFAULTS file used in definitions.git to change over time, but we don't need to keep the one in migrations/007-defaults-in-definitions.py in sync. People who have forked definitions and want to keep their DEFAULTS in line with ours should use `git merge`. So it might seem like migrations/007-defaults-in-definitions script is not useful (`git merge` could have handled adding DEFAULTS, too), but we need to have a migration for *every* version so that you can easily go from V1 to V10, or whatever, without having to do a 'git merge' from definitions.git first. Change-Id: Idf19c31da013eddcf2e1f165086e697ca1805498
* Fix release-build: read_morphology is now read_fileRichard Ipsum2015-11-211-1/+1
| | | | Change-Id: I6971dbfa803c08d700574f61766fe7d5de2d1442
* mesa: compile with --disable-llvm-shared-libsbaserock-15.47baserock/release/baserock-15.47Richard Ipsum2015-11-201-1/+2
| | | | | | | we no longer compile shared libs when we build llvm, the llvm project does not recommend building shared libs. Change-Id: Iedef67f0b5188c9656e6a8e3ec3ec7a27c2a6cf9
* Make compilers-extra depend on python2Richard Ipsum2015-11-191-0/+1
| | | | | | | compiler-rt fails to build most likely due to unicode handling differences between python2 and python3, so use python2. Change-Id: Ia36fbb04eb290b34069ea234b73cf657c7c3ae04
* Fix system that was still including python3-corePedro Alvarez2015-11-191-4/+2
| | | | Change-Id: Ifb25de3488883da52eae15dcd20ebc09a42bcb7d
* morph: 3c59628 -> fad8048Richard Ipsum2015-11-191-1/+1
| | | | Change-Id: I9ab7820b9a6fd6c018db4a3b1a9fa4911710b46c
* Move jsonschema into python2-coreRichard Ipsum2015-11-192-5/+8
| | | | | | morph depends on jsonschema now Change-Id: Iae539e571c080454dab7d0cd0a4b842439d2ea56
* Add the clang compilerTiago Gomes2015-11-1923-0/+77
| | | | Change-Id: I623542335fa4a3444cf8fc500865f3847a7ec966
* Upgrade llvm to 3.7Tiago Gomes2015-11-192-6/+10
| | | | Change-Id: Iebecdff24852a8dda2e2d90871f57da839a11ed4
* trove.morph: Upgrade trove-setup to support installing SSL certsPedro Alvarez2015-11-191-1/+1
| | | | Change-Id: I9ea5c45c0a89cc718add43df1b7cc098efec5ac8
* clusters: Update .morph file for upgrading git.baserock.orgPedro Alvarez2015-11-191-9/+5
| | | | | | | | | | | | git.baserock.org instance was modified to make it look as it was a generic trove deployment. This way upgrading it is easier than before given that you don't need special variables, or ssh keys in the cluster. This has been done months ago, and I've upgraded g.b.o several times since then. I just didn't realise this cluster was here. Change-Id: I74a7697ae3967b72a60afd9d53bdce292aee712c
* trove.configure: Add support for installing SSL certificatesPedro Alvarez2015-11-192-0/+32
| | | | Change-Id: I892b1b0a99c7103fbe2a4ab49b273b76397b3feb
* Upgrading gnome-initial-setup to version including geoclue bugfixTristan Van Berkom2015-11-172-2/+5
| | | | | | | | | | | | | Using a bleeding edge version of gnome-initial-setup so that geoclue works at setup time; see upstream bug report: https://bugzilla.gnome.org/show_bug.cgi?id=758214 This patch also fixes gnome-initial-setup to set the correct sysconfdir and additionally depends on optional IBUS for better integration. Change-Id: I0c38c977c4332ef42824d290b547cd9db5a73a21
* Upgrade geoclue to 2.4.0 stableTristan Van Berkom2015-11-171-2/+2
| | | | Change-Id: Ib2fb1e4383ef2cbf9d2f2fd3ec589d7112bc67ca
* Adding polkit rules for geoclue in GNOME systemTristan Van Berkom2015-11-172-0/+8
| | | | | | | | | | It is necessary to install a polkit rules file for geoclue in order to authorize geoclue's communication with ModemManager. More details on this available in this bugreport: https://bugs.freedesktop.org/show_bug.cgi?id=92915 Change-Id: I2c30aa32a2496f2896d0d284a248b7bb7b2a942a
* Create GeoClue user for GeoClue in GNOME stratumTristan Van Berkom2015-11-171-1/+9
| | | | | | | | GeoClue is supposed to run with a specific system user. This patch configures geoclue to run as the geoclue user and creates the system user for geoclue at system integration time. Change-Id: I710b80da7b5151878f8defe3549ef471ab33eca5
* Push libseccomp into coreRichard Ipsum2015-11-162-6/+9
| | | | | | linux-user-chroot also uses it Change-Id: I0f8874e18e93d79a66a85ea4db0684fca2a149f3
* linux-user-chroot: v2013.1 -> v2015.1Richard Ipsum2015-11-161-2/+2
| | | | Change-Id: I25ac7b1c381362e49eb001543c038f89cbdf8bdb
* Provide certificate path to glib-networking in GNOME stratumTristan Van Berkom2015-11-142-1/+10
| | | | | | | Without this, compilation of glib-networking requires an installation of ca-certificates. Change-Id: I689eeb607522e0a1ba6e55bad61eb7b30fda5580
* Updated ca-certificates chunkTristan Van Berkom2015-11-142-15/+11
| | | | | | | | | | | This patch uses the new upstream delta based on the 2015 default certificates used by debian, and drops the delta which was used to force an update-ca-certificates invokation at make install time. Now we no longer run the update-ca-certificates at make install time and only run it at system-integration time. Change-Id: I0de520d64f45c64aa3d213b9099211b5ab8a50dd
* Provide certificate path to librest in GNOME stratumTristan Van Berkom2015-11-142-1/+10
| | | | | | | Without this, compilation of librest requires an installation of ca-certificates. Change-Id: I9c9c4458d21aafa6dcafb93b51457bbb2de89757
* Provide certificate path to libcurl in core stratumTristan Van Berkom2015-11-142-2/+7
| | | | | | | | | | | Without this, compilation of libcurl succeeds but does not have a default path to search for CA certs at runtime, and most libcurl depending software does not provide it's own certificates or set the default path. Also removed build dependency on ca-certificates. Change-Id: I5f3d33858e3fe65d57d93a38397239c1a421e69a
* strata/gnome.morph: Build g-c-c with cheese supportJavier Jardón2015-11-131-0/+1
| | | | Change-Id: Id509efc264d193b1538206003022a2b522c96adb
* strata/gnome.morph: Add cheeseJavier Jardón2015-11-132-0/+24
| | | | Change-Id: I7e3c084a3acb50844241e92484f6b316ab095d23
* strata/gnome.morph: Add clutter-gstJavier Jardón2015-11-131-0/+7
| | | | Change-Id: I46516250aed0700046044ce55f55d2721e54a273
* Added comment to ca-certificates.morph in core.Tristan Van Berkom2015-11-121-0/+7
| | | | | | | Added comment to highlight the reason why we run update-ca-certificates in the make install phase. Change-Id: Ic2f19ebe562067fd86038b5ed49e64632ece617d
* Added system integration hook for GTK+3 immodulesTristan Van Berkom2015-11-111-0/+4
| | | | | | | | GTK+3 maintains it's own cache of any installed immodules, this system integration hook ensures that any immodules which may be installed during a system build are taken into consideration by GTK+3 at runtime. Change-Id: If121c88e9fe5eaecdebab9cbdb4d20ee06a30373
* Added system integration hook for GTK+2 immodulesTristan Van Berkom2015-11-111-0/+4
| | | | | | | | GTK+2 maintains it's own cache of any installed immodules, this system integration hook ensures that any immodules which may be installed during a system build are taken into consideration by GTK+2 at runtime. Change-Id: I5f0607505cd5cf4daa316da106987b213ded1ea9
* Added system integration hook for fontconfigTristan Van Berkom2015-11-112-1/+8
| | | | | | | | | | | The fontconfig package is responsible for maintaining its cache. We add a single system integration hook here so that any other packages which may install fonts in /usr/share/fonts will have them automatically picked up by fontconfig and properly considered in the fontconfig cache. Change-Id: I67a271a9967696716ee509b96b96c1e219e8ba99
* Added ttf-alee to graphics commonTristan Van Berkom2015-11-112-0/+10
| | | | | | This is the Hangul script truetype font by A Lee. Change-Id: Ie811139fd92739b3ba8bb7bc412d61f4aafcee44
* Configure IBus properly in GNOME stratumTristan Van Berkom2015-11-111-1/+5
| | | | Change-Id: I5be1961d7b2a330f5e02e16870c71571d448b0ac
* Added ibus-anthy to GNOME stratumTristan Van Berkom2015-11-112-0/+13
| | | | | | An ibus input method for japanese input. Change-Id: I6c8f29f0125c20d393cce3945fa00fd4abbc8dc4
* Added anthy to the GNOME stratumTristan Van Berkom2015-11-111-0/+5
| | | | | | | anthy is a library for dealing with japanese text of various kinds, japanese input methods are built on top of this library. Change-Id: Ie2b0a751165fbd80d9cc216a7731adb1d42ae80a
* Added ibus-libpinyin to the GNOME stratumTristan Van Berkom2015-11-112-0/+13
| | | | | | | | | An ibus input method for Chinese pinyin. Note this used to be ibus-pinyin which ended up unmaintained, now the ibus-libpinyin fork is more actively maintained. Change-Id: I4971ddad440000008b5ab7290c589fd9b68f2dc4
* Added libpinyin to GNOME stratumTristan Van Berkom2015-11-111-0/+7
| | | | | | | libpinyin is the low level library for dealing with chinese pinyin text, input methods are built on top of this library Change-Id: I0da675fc2f7dcc729b150eecb52d91adb462ae13
* Added Berkeley DB to GNOME stratumTristan Van Berkom2015-11-112-0/+23
| | | | | | This is required for building libpinyin for chinese input methods. Change-Id: I4c85caa0f38bd9b82321950cf8fa34ddd1d08376
* Added ibus-hangul to the GNOME stratumTristan Van Berkom2015-11-112-0/+13
| | | | | | The ibus input method for hangul script Change-Id: Ic30bbc328e3ef83abeeaead563b9a45c930dd740
* Added libhangul to GNOME stratumTristan Van Berkom2015-11-112-0/+11
| | | | | | | libhangul is the low level library for dealing with hangul script, input methods are built on top of this library. Change-Id: I65ef905ad9f23f91705714f32abed4bf5f5135c0
* Added libgnomekbd to GNOME stratumTristan Van Berkom2015-11-111-0/+7
| | | | | | | | libgnomekbd is not advertised in the GNOME modulesets, however when adding an input method, the language menu provides a "Show keyboard layout" option which fails to execute gkbd-keyboard-display. Change-Id: I4943ecc0ac4ac38639bc4eae253b6e6721a9e398
* Fixing d-feet in GNOME stratum.Tristan Van Berkom2015-11-091-0/+2
| | | | | | | Workaround upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=757769 preventing d-feet from starting up. Change-Id: I5558a708a92a9a85bd437cdb9b1dda5e4dbf47d8
* Fixing EDS build in GNOME stratumTristan Van Berkom2015-11-092-9/+16
| | | | | | | | | | | | | | | | | - Build google contacts backend Depend on libgdata and dont disable the configure switch - Build gnome-3-18 branch, the previously set tip was just before the 3.18 branchpoint so this is an upgrade. - Enable vala bindings with configure switch, this will be needed later to compile folks - Enable Kerberos 5 support, move krb5 chunk to before EDS and depend on it, enable the configure switch Change-Id: I785bbf600177a336f04852268a0da1ed884a14ac
* Update icon cache for hicolor icon theme in GNOME stratumTristan Van Berkom2015-11-092-1/+8
| | | | | | | This is implemented as a system integration hook so that it will include any icons which various modules add to the theme. Change-Id: I882fed168ea2b6162115d8ab5a4b1fa39e8fd60e
* Adding libgdata to GNOME strataTristan Van Berkom2015-11-092-0/+16
| | | | | | Required for various gnome apps, and required to build youtube grilo plugin Change-Id: If16bcecc35ff6ed86450264b4cb981c490c18f82
* Adding libmediaart to GNOME stratumTristan Van Berkom2015-11-092-0/+10
| | | | | | This is required to build the localmetadata grilo plugin Change-Id: I15ff66cc311ed942012f25d85656d99ee6342dbb
* Adding liboauth to GNOME stratumTristan Van Berkom2015-11-091-0/+5
| | | | | | This is required by grilo plugins for Flickr accounts. Change-Id: I0cc3d2cf1b1e08ce7b0da81b9621e54149b67b96
* Adding totem-pl-parser to GNOME stratumTristan Van Berkom2015-11-091-0/+7
| | | | | | Used by grilo and grilo-plugins, and of course totem. Change-Id: I0e32978eeb3d939e6b94618be17d81ae7b7824c4
* Adding grilo-plugins to GNOME stratumTristan Van Berkom2015-11-091-2/+20
| | | | | | | | Also updating grilo itself to the latest of the 0.2.x branch (which is what is referenced by the GNOME 3.18 modulesets), and make grilo itself depend on totem-pl-parser. Change-Id: I7122a3874c4543e87ec26fa5474602f39dbeef4d
* Adding gmime to GNOME stratumTristan Van Berkom2015-11-092-0/+11
| | | | | | A library for dealing with mime types, required by totem-pl-parser. Change-Id: Idbe9b3f076d5a0b0292e0b3d658d960bb6ea44c3
* Adding gnome-color-manager to GNOME stratumTristan Van Berkom2015-11-092-0/+21
| | | | | | This is used by gnome-settings-daemon and gnome-control-center Change-Id: Ieb01f7295da6c625b79946649bb170c49dce8142